cutlass::arch::Mma< gemm::GemmShape< 1, 1, 1 >, 1, ElementA, LayoutA, ElementB, LayoutB, ElementC, LayoutC, Operator > Struct Template Reference

Matrix multiply-add operation - specialized for 1x1x1x1 matrix multiply operation.

`#include <mma.h>`

## Public Types

using | Shape = gemm::GemmShape< 1, 1, 1 >

## Public Member Functions

CUTLASS_HOST_DEVICE void | operator() (Array< ElementC, 1 > &d, Array< ElementA, 1 > const &a, Array< ElementB, 1 > const &b, Array< ElementC, 1 > const &c)

## Member Typedef Documentation

template<typename ElementA , typename LayoutA , typename ElementB , typename LayoutB , typename ElementC , typename LayoutC , typename Operator >

using cutlass::arch::Mma< gemm::GemmShape< 1, 1, 1 >, 1, ElementA, LayoutA, ElementB, LayoutB, ElementC, LayoutC, Operator >::Shape = gemm::GemmShape<1, 1, 1>

## Member Function Documentation

template<typename ElementA , typename LayoutA , typename ElementB , typename LayoutB , typename ElementC , typename LayoutC , typename Operator >

CUTLASS_HOST_DEVICE void cutlass::arch::Mma< gemm::GemmShape< 1, 1, 1 >, 1, ElementA, LayoutA, ElementB, LayoutB, ElementC, LayoutC, Operator >::operator() | ( | Array< ElementC, 1 > & | d,
|  | Array< ElementA, 1 > const & | a,
|  | Array< ElementB, 1 > const & | b,
|  | Array< ElementC, 1 > const & | c
| ) |  |

inline

The documentation for this struct was generated from the following file:

- arch/mma.h